vga_setrgbcolor(3)

NAME
vga_setrgbcolor - set the current color

SYNOPSIS
#include <vga.h> void vga_setrgbcolor(int r, int g, int b);

DESCRIPTION
Set the current color to RGB values r, g, and b, each in the range 0-255. Does not make sense in 256 or less color modes. Use vga_setcolor(3) there. The color is used by vga_drawpixel(3) and vga_drawline(3). The fun(6) and vgatest(6) demos show the basic use of this function.

SEE ALSO
svgalib(7), vgagl(7), libvga.config(5), fun(6), vgatest(6), vga_drawpixel(3), vga_drawline(3)

AUTHOR
This manual page was edited by Michael Weller <eowmob@exp-math.uni-essen.de>. The exact source of the referenced function as well as of the original documentation is unknown. It is very likely that both are at least to some extend are due to Harm Hanemaayer <H.Hanemaayer@inter.nl.net>. Occasionally this might be wrong. I hereby excuse by the correct author and will happily accept any additions or corrections to this first version of the svgalib manual.